Pause a job (disable schedule)
POST
/api/v1/jobs/{job_id}/pause
const url = 'https://example.com/api/v1/jobs/1/pause';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/jobs/1/pausePauses a job by removing its schedule, preventing it from running automatically. Manual triggers will still work.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”job_id
required
Job Id
integer
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}